package org.basex.modules.fop;

import org.basex.core.*;
import org.basex.query.*;

/**
 * Example for transforming FO to PDF.
 *
 * @author BaseX Team 2005-12, BSD License
 * @author Christian Gruen
 */
public class FOPExample {
  /**
   * Test method.
   * @param args ignored
   * @throws Exception exception
   */
  public static void main(final String[] args) throws Exception {
    final Context ctx = new Context();
    final String query =
      "import module namespace fop = 'org.basex.modules.fop.FOP'; " +
      "let $path := 'etc/org/basex/modules/fop/' " +
      "let $xml := $path || 'fop.xml' " +
      "let $xsl := xslt:transform($xml, $path || 'fop.xsl') " +
      "let $pdf := fop:transform($xsl) " +
      "return file:write-binary('fop.pdf', $pdf)";

    try(final QueryProcessor qp = new QueryProcessor(query, ctx)) {
      System.out.println(qp.value());
    }
  }
}
